# IdeaWorkspace

API Documentation: | `IdeaWorkspace`

Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.

At the moment, the only practical way of manipulating the resulting content is via the withXml hook:

    apply plugin: 'java'
    apply plugin: 'idea'

    idea.workspace.iws.withXml { provider ->
        provider.asNode().appendNode('gradleRocks', 'true')
    }

### Properties

Property | Description
`iws` | Enables advanced manipulation of the output xml.

### Property details

#### `XmlFileContentMerger` `iws`

Enables advanced manipulation of the output xml.

For example see docs for `IdeaWorkspace`

### Script blocks

Block | Description
`iws` | Enables advanced manipulation of the output xml.

### Script block details

#### `iws` { }

Enables advanced manipulation of the output xml.

For example see docs for `IdeaWorkspace`

Delegates to:
  `XmlFileContentMerger` from `iws`

### Methods

No methods